updated redux-logger to latest version

parent ad23d7c1
......@@ -2529,8 +2529,9 @@
"integrity": "sha1-9lNNFRSCabIDUue+4m9QH5oZEpA="
},
"deep-diff": {
"version": "https://registry.npmjs.org/deep-diff/-/deep-diff-0.3.4.tgz",
"integrity": "sha1-qsXDmVIjar5fA3ojSQYLoBsArkg="
"version": "0.3.8",
"resolved": "https://registry.npmjs.org/deep-diff/-/deep-diff-0.3.8.tgz",
"integrity": "sha1-wB3mPvsO7JeYgB1Ax+Da4ltYLIQ="
},
"defined": {
"version": "https://registry.npmjs.org/defined/-/defined-1.0.0.tgz",
......@@ -5222,10 +5223,11 @@
}
},
"redux-logger": {
"version": "https://registry.npmjs.org/redux-logger/-/redux-logger-2.10.2.tgz",
"integrity": "sha1-PFpfCm8yV3wd6t9mVfJX+CxsOTc=",
"version": "3.0.6",
"resolved": "https://registry.npmjs.org/redux-logger/-/redux-logger-3.0.6.tgz",
"integrity": "sha1-91VZZvMJjzyIYExEnPC69XeCdL8=",
"requires": {
"deep-diff": "https://registry.npmjs.org/deep-diff/-/deep-diff-0.3.4.tgz"
"deep-diff": "0.3.8"
}
},
"reflect-metadata": {
......
// import * as persistState from 'redux-localstorage';
// import {createLogger} from 'redux-logger';
import createLogger = require("redux-logger");
import {createLogger} from 'redux-logger';
// import logger = require("redux-logger");
// import {applyMiddleware} from 'redux';
import { IAppState, rootReducer, deimmutify } from './store';
import { ICourseField, ICourseFields } from './coursefields/coursefields.types';
......@@ -38,13 +38,14 @@ export {
};
const logger = createLogger({
const myLogger = createLogger({
level: 'info',
collapsed: true,
stateTransformer: deimmutify
})
// const logger2 = logger();
export const middleware = [
logger
myLogger
];
/* export const middleware = [
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment